Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name | ### colorMode()
Examples |
    noStroke();
    colorMode(RGB, 100);
    for(int i=0; i<100; i++) {
      for(int j=0; j<100; j++) {
        stroke(i, j, 0);
        point(i, j);
      }
    }
    noStroke();
    colorMode(HSB, 100);
    for(int i=0; i<100; i++) {
      for(int j=0; j<100; j++) {
        stroke(i, j, 100);
        point(i, j);
      }
    }
Description | Changes the way Processing interprets color data. By default, fill(), stroke(), and background() colors are set by values between 0 and 255 using the RGB color model. It is possible to change the numerical range used for specifying colors and to switch color systems. For example, calling colorMode(RGB, 1.0) will specify that values are specified between 0 and 1. The limits for defining colors are altered by setting the parameters range1, range2, range3, and range 4.
Syntax |
    colorMode(mode);
    colorMode(mode, range);
    colorMode(mode, range1, range2, range3);
    colorMode(mode, range1, range2, range3, range4);
Parameters |
mode | Either RGB or HSB, corresponding to Red/Green/Blue and Hue/Saturation/Brightness
range | int or float: range for all color elements
range1 | int or float: range for the red or hue depending on the current color mode
range2 | int or float: range for the green or saturation depending on the current color mode
range3 | int or float: range for the blue or brightness depending on the current color mode
range4 | int or float: range for the alpha
Usage | Web & Application
Related | background() fill() stroke()

Updated on May 24, 2007 06:36:43pm PDT